<?php
require_once("DBManager.class.php");

class pregunta{
	private $idpregunta;///
	private $iddoc_curso;
	private $pregunta;
	private $puntaje;
		
	///////////////////////////////////////////
	public function Crear($viddoc_curso,$vpregunta,$vpuntaje)
	{
		$resp=false;		
		$db= new DBManager();
if($db->_execute("INSERT INTO pregunta(idpregunta,iddoc_curso,pregunta,puntaje) VALUES(null,".$viddoc_curso.",'".$vpregunta."',".$vpuntaje.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorDocentecurso($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select * from pregunta where(iddoc_curso =".$v.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idpregunta"	    => $rs->fields["idpregunta"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"],
									"pregunta" => $rs->fields["pregunta"],
									"puntaje" 	    => $rs->fields["puntaje"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListaPaginada($vcli,$limitInf,$tampag)
	{    /////////////////////////////////////
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("SELECT * FROM pregunta WHERE ( iddoc_curso LIKE CONCAT('%','".$vcli."','%') ) ORDER BY iddoc_curso ASC limit ".$limitInf.",".$tampag.";");			
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{    
   				$vector[$row]=array("idpregunta"	    => $rs->fields["idpregunta"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"],
									"pregunta" => $rs->fields["pregunta"],
									"puntaje" 	    => $rs->fields["puntaje"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	public function ListarTodo()
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select * from pregunta ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idpregunta"	    => $rs->fields["idpregunta"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"],
									"pregunta" => $rs->fields["pregunta"],
									"puntaje" 	    => $rs->fields["puntaje"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function BuscarPorPregunta($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select * from pregunta where(pregunta ='".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idpregunta"	    => $rs->fields["idpregunta"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"],
									"pregunta" => $rs->fields["pregunta"],
									"puntaje" 	    => $rs->fields["puntaje"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager('root','');
		$rs=$db->execute("select * from pregunta where(idpregunta = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->idpregunta=$rs->fields["idpregunta"];
				      $this->iddoc_curso=$rs->fields["iddoc_curso"];				
				      $this->pregunta=$rs->fields["pregunta"];				 
				      $this->puntaje=$rs->fields["puntaje"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	///////////////////////////////////////////////
		
	public function Actualizar($vidpregunta,$viddoc_curso,$vpregunta,$vpuntaje)			
	{
		$resp=false;		
		$db= new DBManager();	
if($db->_execute("update  pregunta set iddoc_curso = ".$viddoc_curso.", pregunta = '".$vpregunta."', puntaje = ".$vpuntaje." where (idpregunta=".$vidpregunta.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("DELETE FROM pregunta WHERE (idpregunta=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	///
	////////////////////////////////////////							
	
	public function getIdpregunta(){ return $this->idpregunta;}
	public function getIddoc_curso(){ return $this->iddoc_curso;}
	public function getPregunta(){ return $this->pregunta;}
	public function getPuntaje(){ return $this->puntaje;}
		
}
?>

